/***************************************************************************
                          dlghelp.h  -  description
                             -------------------
    begin                : Mon Dec 30 2002
    copyright            : (C) 2002 by Ken Schenke
    email                : kenschenke at yahoo dot com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   In addition, as a special exception, Ken Schenke gives permission to  *
 *   link the code of this program with the Qt non-commercial edition (or  *
 *   with modified versions of the Qt non-commercial edition that use the  *
 *   same license as the Qt non-commercial edition, and distribute linked  *
 *   combinations including the two.  You must obey the GNU General Public *
 *   License in all respects for all of the code used other than the Qt    *
 *   Non-Commercial edition.  If you modify this file, you may extend this *
 *   exception to your version of the file, but you are not obligated to   *
 *   do so.  If you do not wish to do so, delete this exception statement  *
 *   from your version.                                                    *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGHELP_H
#define DLGHELP_H

#include "dlghelpbase.h"
#include "bridgecfg.h"

/***************************************************************************
 *                                                                         *
 *   This class implements the online help dialog box.                     *
 *                                                                         *
 ***************************************************************************/

class DlgHelp : public DlgHelpBase
{
public:
	DlgHelp(
		const BridgeCfg &cfg,
		QWidget *parent=0,
		const char *name=0,
		bool modal=FALSE,
		WFlags f=0);
		
	void	setSource(const char *source);
	
	virtual void buttonHomeClicked(void) { setSource("index.html"); }

private:
	BridgeCfg	m_cfg;
};

#endif	// end of DLGHELP_H
