[-- template default.template --]
[-- define title=Merging Your Bookmarks --]
[-- define chapter_title=3. Using BookmarkBridge --]
[-- define prev_link=viewing_your_bookmarks.html --]
[-- define prev_title=Viewing Your Bookmarks --]
[-- define next_link=online_help.html --]
[-- define next_title=Online Help --]

<p>
Merging bookmarks between browsers is what BookmarkBridge does best.  It is actually
a several step process.  It first reads bookmarks from each browser listed as a source
on the main window.  It combines all these bookmarks into one large list.  It then
saves this combined list to each browser's bookmark database listed as a
destination.
</p>

<p>
For each browser, BookmarkBridge remembers the order in which each bookmark and folder
occurs in the browser's bookmark list.  When it saves the merged bookmarks and folders
back to the browser, it saves them back in the original order.  Any bookmarks or folders
that the browser did not already have are saved at the beginning of the bookmark list.
BookmarkBridge maintains the order of bookmarks and folders for each browser separately.
Please note that some browsers, notably Internet Explorer, do not have a concept of
placing bookmarks and folders in any particular order.
</p>

<p>
BookmarkBridge supports bookmark separators.  Separators are horizontal
lines on the browser's Bookmarks menu, used to logically group bookmarks and folders.
BookmarkBridge will remember a browser's bookmark separators and will save the separators
back to the browser's bookmark list in the same order.  Please note that
BookmarkBridge will not merge separators between browsers.
</p>

<h3 style="color:red">Caution!</h3>
<p style="color:red">
<b>Back up the bookmarks for each browser before performing a merge!</b>
BookmarkBridge, obviously, makes changes to the bookmarks of your favorite browsers.
If misconfigured, or otherwise not working correctly, BookmarkBridge can be extremely
destructive.  It's even possible for BookmarkBridge to inadvertantly wipe out most or
all of the bookmarks in a browser.
</p>

<p>
Backing up the bookmarks for a browser is generally very easy.  Simply go into the
Settings window and make note of the location of each browser's bookmark database.
It can be as simple as making a copy of the file or files contained in the bookmark
location.  See the section <a href="bookmarkbridge_settings.html">BookmarkBridge
Settings</a> for more information on the Settings window.
</p>
