[-- template default.template --]
[-- define title=Viewing Your Bookmarks --]
[-- define chapter_title=3. Using BookmarkBridge --]
[-- define prev_link=bookmarkbridge_settings.html --]
[-- define prev_title=BookmarkBridge Settings --]
[-- define next_link=merging_your_bookmarks.html --]
[-- define next_title=Merging Your Bookmarks --]

<p>
The screenshot below, taken from the Linux version of BookmarkBridge running on
KDE 3 with RedHat Linux 8, shows the bookmarks view window of BookmarkBridge.
</p>

<img src="view_bookmarks.png" border="0" width="592" height="545">

<p>
Each bookmark and folder is shown in this window.  Folders have a &quot;plus&quot; sign
to the left the name.  Clicking on the plus sign will expand the folder showing
bookmarks and possibly other folders contained within that folder.  Clicking on the
name of a folder of bookmark in the list displays details on the entry in the lower
half of the window.
</p>

<h3>Ignoring a Bookmark or Folder</h3>
<p>
With a bookmark or folder highlighted, click on the checkbox
<b>Ignore this item. Do not synchronize it to or from any browsers</b> to let
BookmarkBridge know that it should not merge that bookmark or folder.  BookmarkBridge
will actually continue to propagate changes between browsers that already contain the
bookmark or folder.  It will not, however, add it to any browsers that do not contain
the bookmark or folder.  In addition, if the bookmark or folder is removed from a
browser, BookmarkBridge will not remove it from any other browsers.  If you click the
checkbox for folder, BookmarkBridge will propagate your choice to every bookmark and
folder contained within that folder.  You can choose to override the &quot;ignore&quot;
setting of a bookmark or folder after you have set the &quot;ignore&quot; setting on a
parent folder.
</p>

<p>
In the screenshot shown above, notice the folder labeled <b>Personal Toolbar Folder</b>.
This folder comes with Mozilla.  In fact, most, if not all browsers come with a similar
folder of bookmarks being promoted by the browser vendor.  To reduce clutter, some
people delete these bookmarks, but most people do not.  To keep these bookmarks from
being merged into other browsers, click the &quot;ignore&quot; checkbox for the folder
containing these bookmarks.
</p>

<h3>Title</h3>
<p>
The title of a bookmark or folder is shown.  For a bookmark, this is usually the title
of the page.  Most browsers show this in the caption (or title bar) or the browser's
window while visiting the site.  For folders, the title is simply the same of the folder.
</p>

<h3>Url</h3>
<p>
The Url is the location of the web site referred to by a bookmark.  Folders do not have
Urls since they do not refer to web sites.  URL is actually an acronym standing for
<b>Uniform Resource Locator</b>.
</p>

<h3>Path</h3>
<p>
The path represents the location of the bookmark or folder within the hierarichal tree
of bookmarks.  The path always begins with a forward slash character followed by the
titles of each folder in the path, ending with the title of the entry.  In the
screenshot shown above, the highlighted bookmark is in the root path so no folders are
part of the path.
</p>

<h3>Browsers</h3>
<p>
Shown at the very bottom of the window is a list of browsers currently containing the
bookmark or folder.
</p>
